<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.createUser}">

<th:block layout:fragment="js-view">
    <script src="/webjars/inputmask/dist/jquery.inputmask.min.js"></script>
    <script src="/js/address/address-finder.js"></script>
    <script src="/js/user/create.js"></script>
</th:block>

<th:block layout:fragment="css-view">
</th:block>

<div layout:fragment="content">
    <div class="container">
        <div class="card">
        <div class="card-body">
            <form action="/user/create" id="user-form" method="post">
                <th:block th:insert="user/fragments/create-edit-form-fields :: formFields(isCreate=true)"></th:block>
                <th:block th:insert="address/fragments/create-edit-form-fields :: formFields(isCreate=true)">
                </th:block>

                <div class="card">
                    <div class="card-body">
                        <button id="submit-button" class="btn btn-primary float-right" th:text="#{user.form.submit}"
                                type="submit">Criar
                        </button>
                        <a class="btn btn-danger float-left" th:href="@{/}" th:text="#{user.form.cancel}">Cancelar</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
    </div>
</div>

